package org.eclipse.wide.server.services.test;

import javax.servlet.http.HttpServletRequest;

import org.eclipse.core.runtime.Platform;
import org.eclipse.wide.server.Activator;
import org.eclipse.wide.services.test.TestService;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;
import com.google.gwt.user.server.rpc.SerializationPolicy;

public class TestServiceImpl extends RemoteServiceServlet implements TestService {

	private static final long serialVersionUID = 1L;

	@Override
	public String getPlatformOS() {
		return Platform.getOS();
	}

	@Override
	protected SerializationPolicy doGetSerializationPolicy(
			HttpServletRequest request, String moduleBaseURL, String strongName) {
		return Activator.doGetSerializationPolicy(request, moduleBaseURL, strongName);
	}
}
